Skip to main content
GET
/
merchant
/
transactions
/
{transaction_id}
Get Transaction
curl --request GET \
  --url https://testapi.fractalpay.com/api/v1/merchant/transactions/{transaction_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_key": "{{merchant_key}}"
}
'
{
  "data": [
    {
      "amount": "3000.00",
      "fee_percentage": "0.0000000",
      "net_amount": 2920,
      "other_details": {
        "authcode": "VDhdH5BWz",
        "cardType": "M/C",
        "lastFourDigits": "0060"
      },
      "transaction_date": "2024-04-15T12:01:48.000Z",
      "transaction_id": "f0478a5f-fb1f-11ee-b78a-02fabd890500"
    }
  ],
  "message": "Transaction fetched successfully",
  "result": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Path Parameters

transaction_id
string
required

Unique transaction ID. Returned in the transaction_id field of the Get Transactions (GET /merchant/transactions) response.

Example:

"294ac4cb-42fc-11ef-af4e-0ef0812e6179"

Body

application/json
merchant_key
string
required

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

Response

200 - application/json

Get Transaction

data
object[]
Example:
[
{
"amount": "3000.00",
"fee_percentage": "0.0000000",
"net_amount": 2920,
"other_details": {
"authcode": "VDhdH5BWz",
"cardType": "M/C",
"lastFourDigits": "0060"
},
"transaction_date": "2024-04-15T12:01:48.000Z",
"transaction_id": "f0478a5f-fb1f-11ee-b78a-02fabd890500"
}
]
message
string
Example:

"Transaction fetched successfully"

result
boolean
Example:

true